Bug 854975 - engine: SPM re-selected on failed getFloppyList query
engine: SPM re-selected on failed getFloppyList query
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Liron Aravot
Dafna Ron
storage
:
: 871047 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 08:35 EDT by Dafna Ron
Modified: 2016-02-10 12:02 EST (History)
10 users (show)

See Also:
Fixed In Version: SI24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (3.30 MB, application/x-gzip)
2012-09-06 08:35 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-09-06 08:35:24 EDT
Created attachment 610296 [details]
logs

Description of problem:

we reinitialize DC (SPM is moved) when we fail getFloppyList with permissions error from vdsm. 

Version-Release number of selected component (if applicable):

si17
vdsm-4.9.6-32.0.el6_3.x86_64

How reproducible:

100%

Steps to Reproduce:
1. import an iso domain from a storage server working with NFSv3
2. storage tab -> select iso -> images
3.
  
Actual results:

getIsoList will succeed while getFloppyList will fail with permission issue.
DC will be reinitialized (the SPM will be moved to anther host)

Expected results:

domain should become inactive or we should only show information we were able to query.  

Additional info: logs
Comment 2 Liron Aravot 2012-10-21 11:18:20 EDT
http://gerrit.ovirt.org/#/c/8690/
Comment 3 Allon Mureinik 2012-10-23 08:38:02 EDT
Merged I4e75982d1a88dc36251d2c2e693ffafdc7a7a99e
Comment 4 Itamar Heim 2012-10-29 11:04:30 EDT
*** Bug 854972 has been marked as a duplicate of this bug. ***
Comment 6 Itamar Heim 2012-10-29 11:06:09 EDT
*** Bug 871047 has been marked as a duplicate of this bug. ***
Comment 7 Itamar Heim 2012-10-29 11:06:56 EDT
QE: please ignore comment 5 and test bug 871047 as well for this flow
Comment 8 Dafna Ron 2012-11-05 11:16:14 EST
verified on si24

Note You need to log in before you can comment on or make changes to this bug.